PDF::Builder::Resource::CIDFont::CJKFont(3pm)

NAME
PDF::Builder::Resource::CIDFont::CJKFont - Base class for CJK fonts

Inherits from PDF::Builder::Resource::CIDFont

Note: CJK font support is somewhat obsolete. Try directly using an up-to-date TTF or OTF font, with UTF-8 input, instead.

METHODS

  new
    $font = PDF::Builder::Resource::CIDFont::CJKFont->new($pdf, $cjkname, %opts)

    Returns a cjk-font object.

•   Traditional Chinese: Ming, Ming-Bold, Ming-Italic, Ming-BoldItalic

•   Simplified Chinese: Song, Song-Bold, Song-Italic, Song-BoldItalic

•   Korean: MyungJo, MyungJo-Bold, MyungJo-Italic, MyungJo-BoldItalic

•   Japanese (Mincho): KozMin, KozMin-Bold, KozMin-Italic, KozMin-BoldItalic

•   Japanese (Gothic): KozGo, KozGo-Bold, KozGo-Italic, KozGo-BoldItalic

Defined Options (%opts):

encode
    specify fonts encoding for non-utf8 text.

  glyphByCId
    $n = $font->glyphByCId($gid)

    Returns a character's glyph name (string), given its glyph ID.